# {{ ansible_managed }}

version: "3"

services:
  outway:
    image: "nlxio/outway:{{ nlx_outway_version }}"
    restart: "unless-stopped"
    ports:
      - "8080:8080"  # http
      - "8443:8443"  # https
    volumes:
      - "{{ nlx_tls_directory }}/root.crt:{{ nlx_tls_directory }}/root.crt:ro"
      - "{{ nlx_tls_directory }}/{{ ansible_hostname }}.crt:{{ nlx_tls_directory }}/{{ ansible_hostname }}.crt:ro"
      - "{{ nlx_tls_directory }}/{{ ansible_hostname }}.key:{{ nlx_tls_directory }}/{{ ansible_hostname }}.key:ro"
    environment:
      DIRECTORY_INSPECTION_ADDRESS: "directory-inspection-api:8091"
      TLS_NLX_ROOT_CERT: "{{ nlx_tls_directory }}/root.crt"
      TLS_ORG_CERT: "{{ nlx_tls_directory }}/{{ ansible_hostname }}.crt"
      TLS_ORG_KEY: "{{ nlx_tls_directory }}/{{ ansible_hostname }}.key"
      DISABLE_LOGDB: "{{ nlx_outway_transaction_log_disabled }}"
      POSTGRES_DSN: "postgres://postgres:benchmark@{{ nlx_outway_transaction_log_hostname }}/transaction-log?sslmode=disable"
      LOG_TYPE: "local"
      LOG_LEVEL: "{{ nlx_outway_log_level }}"
    extra_hosts:
      - "directory-inspection-api:{{ hostvars['directory-001'].ansible_host }}"
      {% for hostname in groups['inway'] -%}
      - "{{ hostname }}:{{ hostvars[hostname].ansible_host }}"
      {% endfor -%}
